Bug 70308 - finance/openhbci port update
Summary: finance/openhbci port update
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sam Lawrance
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-08-11 17:10 UTC by Frank Altpeter
Modified: 2005-05-17 09:57 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Frank Altpeter 2004-08-11 17:10:25 UTC
	Current finance/openhbci won't build with 5.2-CURRENT due to
	compiler upgrade.

Fix: 

Apply the following patch to update the port to the latest
	release of openhbci (0.9.17)



	diff -ruN openhbci.old/Makefile openhbci/Makefile
	--- openhbci.old/Makefile	Fri Nov 21 12:32:50 2003
	+++ openhbci/Makefile	Wed Aug 11 17:49:20 2004
	@@ -5,8 +5,7 @@
	 # $FreeBSD: ports/finance/openhbci/Makefile,v 1.6 2003/11/21 11:32:50 arved Exp $
	 
	 PORTNAME=		openhbci
	-PORTVERSION=		0.9.13
	-PORTREVISION=		1
	+PORTVERSION=		0.9.17
	 CATEGORIES=		finance
	 MASTER_SITES=	 	${MASTER_SITE_SOURCEFORGE}
	 MASTER_SITE_SUBDIR=	${PORTNAME}
	diff -ruN openhbci.old/distinfo openhbci/distinfo
	--- openhbci.old/distinfo	Wed Jun 16 15:33:43 2004
	+++ openhbci/distinfo	Wed Aug 11 18:03:29 2004
	@@ -1,2 +1,2 @@
	-MD5 (openhbci-0.9.13.tar.gz) = 725605239b260ba04c808a9a280d6e85
	-SIZE (openhbci-0.9.13.tar.gz) = 638799
	+MD5 (openhbci-0.9.17.tar.gz) = 4770d9119c0127555d9474a17538002f
	+SIZE (openhbci-0.9.17.tar.gz) = 737428
Comment 1 Pav Lucistnik freebsd_committer 2004-08-11 23:03:45 UTC
Dear maintainer of FreeBSD port finance/openhbci, please take a look at

http://www.freebsd.org/cgi/query-pr.cgi?q=70308

Do you approve this update?

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

But soft, what light through yonder window breaks? It is the East,
and Juliet is the sun! Arise, fair sun, and kill the envious moon,
who is already sick and pale with grief that thou her maid art far
more fair than she.
Comment 2 Pav Lucistnik freebsd_committer 2004-08-11 23:03:48 UTC
State Changed
From-To: open->feedback

Asked maintainer for approval. 


Comment 3 Pav Lucistnik freebsd_committer 2004-08-11 23:03:48 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Handle.
Comment 4 Pav Lucistnik freebsd_committer 2004-08-28 23:28:55 UTC
State Changed
From-To: feedback->open

Feedback timeout
Comment 5 Pav Lucistnik freebsd_committer 2004-08-28 23:29:10 UTC
State Changed
From-To: open->feedback

Does not build on FreeBSD 4.x: 

[...] 
checking if plugin loading is supported... no (needs gcc 3.x, you use cc) 
checking for included plugins... rdhfile 
[...] 
libtool: link: cannot find the library `../../src/plugins/keyfile/librdhfile.la' 
make[4]: *** [libopenhbci.la] Error 1 
[...] 

What now? 

http://www.freebsd.org/cgi/query-pr.cgi?pr=70308 

Adding to audit trail from misfiled PR 71145:

Date: Mon, 30 Aug 2004 12:47:30 +0200
Comment 6 Pav Lucistnik freebsd_committer 2004-09-01 14:14:04 UTC
State Changed
From-To: feedback->open

Feedback received.
Comment 7 Pav Lucistnik freebsd_committer 2004-09-01 14:14:22 UTC
Responsible Changed
From-To: pav->freebsd-ports-bugs

Release this PR. plist needs updating and shared libraries are installed 
without .so suffix. Plus, I was not able to make it compile on 4.x system. 

Perhaps someone will have better luck with it.
Comment 8 Mark Linimon freebsd_committer freebsd_triage 2004-10-05 02:07:47 UTC
State Changed
From-To: open->feedback

I am not able to get this to compile on 4.x either: 

libtool: link: cannot find the library `../../src/plugins/keyfile/librdhfile.la' 
*** Error code 1 

Stop in /home/pcvs/ports/finance/openhbci/work/openhbci-0.9.17/src/openhbci.
Comment 9 Sam Lawrance freebsd_committer 2005-04-24 08:02:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lawrance

Grab.
Comment 10 Sam Lawrance freebsd_committer 2005-05-17 09:55:51 UTC
State Changed
From-To: feedback->closed

A newer version was committed, thanks.